> For the complete documentation index, see [llms.txt](https://docs.acronym.com/analytics/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.acronym.com/analytics/adobe-launch/gtag/faq/error-codes.md).

# Error Codes

When Adobe Tag's debug mode is enabled by running `_satellite.setDebug(true)` in your browser console, the logs may show additional errors. This page covers the error codes that may show and how to rectify the errors.

## ACRGTAG-100 - Cannot load gtag library

#### Cause

The extension was unable to load the main gtag library, typically found at `https://www.googletagmanager.com/gtag/js?id=[ACCOUNT ID]`. This is typically caused by an ad blocker in your browser blocking the JS library from loading, but it could also be caused by other network errors.&#x20;

#### Recommendation

Open your developer tools' network tab to see what response code the library is loading.

## ACRGTAG-101 - Custom config code error

#### Cause

The extension caught an error in either the [Pre-Account Initialization Code](/analytics/adobe-launch/gtag/configuration.md#pre-account-initialization-code) or the [Post-Account Initialization Code](/analytics/adobe-launch/gtag/configuration.md#post-account-initialization-code) .

#### Recommendation

Review the custom code blocks and rectify any JavaScript errors.

## ACRGTAG-102 - No accounts configured

#### Cause

No accounts were added or configured, and thus there was nothing to load.

#### Recommendation

[Add an account](/analytics/adobe-launch/gtag/configuration.md#accounts) to start sending data.

## ACRGTAG-103 - Library already loaded

#### Cause

The main gtag library has already been loaded on the page. If you are using the "[Preload the gtag.js library](/analytics/adobe-launch/gtag/actions/load.md)" action, you may be calling this multiple times.&#x20;

#### Recommendation

If you are preloading the library, you can remove this action. Otherwise, no further changes are required.&#x20;

## ACRGTAG-104 - Data layer variable malformed

#### Cause

The data layer is not an array and data cannot be pushed to it.

#### Recommendation

You may be using the name "`dataLayer`" for another tool. If so, you should [rename the data layer variable name](/analytics/adobe-launch/gtag/configuration.md#data-layer-name) to something else. Acronym recommends using `gtagDataLayer` as an easy replacement. The current value of the data layer variable is passed alongside the error message for easier debugging.&#x20;

{% hint style="info" %}
**NOTE:** You will likely see an additional error from the gtag library that is similar to "b.slice is not a function". This is caused by the data layer variable not being an array.
{% endhint %}

## ACRGTAG-201 - No accounts enabled

#### Cause

No accounts were enabled when this rule action ran. This could happen when you are using data elements to set the enabled/disabled status for an account and they all return false, or if you have not enabled any accounts.&#x20;

#### Recommendation

Enable an account to send data to that account. Otherwise, if no accounts are enabled, verify if you still need this rule action.

## ACRGTAG-202 - An account was removed in the extension config

#### Cause

This happens when [an account was removed](/analytics/adobe-launch/gtag/configuration.md#removing-accounts) in the extension configuration, but still exists in the rule action settings. Due to the limited nature of what extensions can see and do, we cannot automatically update rule actions when an account is removed in the extension configuration.

#### Recommendation

Re-save the rule action to remove the account from the rule action settings.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.acronym.com/analytics/adobe-launch/gtag/faq/error-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
